## disk_initialize

The disk_initialize function initializes the disk drive.

    DSTATUS disk_initialize (void)

#### Return Values

The disk status is returned in combination of following flags.

STA_NOINIT
  Indicates that the disk drive has not been initialized. This flag is set on: system reset, disk removal and disk_initialize function failed, and cleared on: disk_initialize function succeeded.
STA_NODISK
  Indicates that no medium in the drive. This is always cleared on fixed disk drive. This flag is not referred by Petit FatFs.

#### Description

The disk_initialize function initializes the storage device. If the function succeeded, `STA_NOINIT` flag in the return value is cleared.

Return